Bug 215558 - perl(Pod::Readme) not strictly a buildrequires of perl-Module-Build
perl(Pod::Readme) not strictly a buildrequires of perl-Module-Build
Product: Fedora
Classification: Fedora
Component: perl-Module-Build (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-14 12:13 EST by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-15 18:00:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-11-14 12:13:23 EST
perl(Pod::Readme) is not strictly a buildrequires of perl-Module-Build; it will
be used at runtime regardless of it being installed at buildtime.

Having this buildrequires for FC-5 leads to a circular builddep loop:

  Module::Build br's 
  Pod::Readme br's
  Test::Pod br's
  Test::Builder::Tester br's
Comment 1 Steven Pritchard 2006-11-15 11:47:57 EST
I'm pretty sure that's there for better test coverage.  Is there a good reason 
to remove it?

I'm pretty sure there are quite a few circular build dependencies involving 
perl modules in Extras...
Comment 2 Chris Weyl 2006-11-15 12:49:11 EST
Pod::Readme isn't referred to in any of the tests.  (At least, that's what grep
tells me...)

While this isn't strictly a fedora issue, I'm trying to rebuild the FC-5 perl
module srpms on rhel4...  This is one of the roadblocks.  I could bootstrap it,
but if this really is an errant loop, it'd be excellent to nix it if we could :)
Comment 3 Steven Pritchard 2006-11-15 17:09:23 EST
This is in the changelog:

 - We now use Pod::Readme by default (instead of Pod::Text) to
   generate the README file when the 'create_readme' option is used.
   If Pod::Readme is not installed, we will still fall back to using
   Pod::Text.  [Robert Rothenberg]

Pod::Readme is one of the dependencies pulled from the module metadata (by
cpanspec).  It is definitely optional, but I'd prefer to keep it in if it even
helps with tests.  (Of course, that doesn't stop you from disabling it for a build.)

I'm doing a mock build without it though.  If it doesn't complain at all, I'll
disable it.
Comment 4 Steven Pritchard 2006-11-15 18:00:54 EST
OK, mock build without Pod::Readme (or version, or Module::Signature) seems to
pass the exact same number of tests that a build with all those present does.

I'm building for rawhide right now.  Do you really need me to backport that to FC5?

Note You need to log in before you can comment on or make changes to this bug.